%define nemo_version 6.4

Name: task-cinnamon
Epoch:   1
Version: 6.4
Release: %mkrel 2
Summary: Metapackage for Cinnamon desktop environment
Group: Graphical desktop/Cinnamon
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal >= %{version}
Recommends: nemo-pastebin >= %{version}
Recommends: nemo-fileroller >= %{version}
Recommends: nemo-preview >= %{version}
Recommends: python3-nemo >= %{nemo_version}
Recommends: nemo-terminal >= %{version}
Recommends: task-xapps
Recommends: cinnamon-screensaver-unsupported
Recommends: nemo-compare
Recommends: nemo-emblems
Recommends: nemo-image-converter
Recommends: nemo-audio-tab
Recommends: nemo-seahorse
Recommends: nemo-share
Recommends: nitroshare-nemo
Recommends: drakconf
Recommends: muffin

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running Cinnamon.

%package devel
Summary: Development package needed for Cinnamon desktop 
Requires: task-cinnamon >= %{version}
Requires: pkgconfig(nemo-python) >= %{nemo_version}
Requires: cinnamon-control-center-devel >= %{version}
Requires: cinnamon-settings-daemon-devel >= %{version}
Requires: pkgconfig(cinnamon-desktop) >= %{version}
Requires: pkgconfig(libnemo-extension) >= %{nemo_version}
Requires: muffin-devel >= %{version}

%package minimal
Summary: Minimal dependencies needed for Cinnamon desktop 
Group: Graphical desktop/Cinnamon
Requires: cinnamon >= %{version}
Requires: cinnamon-desktop >= %{version}
Requires: cinnamon-session >= %{version}
Requires: cinnamon-control-center >= %{version}
Requires: cinnamon-screensaver >= %{version}
Requires: cinnamon-settings-daemon >= %{version}
Requires: cinnamon-translations >= %{version}
Requires: nemo >= %{nemo_version}
Recommends: lxdm
Recommends: pulseaudio-module-x11
Recommends: mageiawelcome
Recommends: drakconf
Recommends: cinnamon-applet-blueberry
Recommends: gnome-console
Recommends: mageia-theme-Default
Recommends: adwaita-gtk2-theme
Recommends: fonts-ttf-dejavu
Recommends: cinnamon-theme
# see mga#31857
Recommends: bluez
Recommends: blueman

# Note that cinnamon also requires mate-polkit but this is included
# as a requires in cinnamon since cinnamon functionality breaks without
# an authenticator

# like task-kde4, but suggests instead of requires
Recommends: task-x11 >= 1-2

%description devel
This package is a meta-package, meaning that its purpose is to contain
development dependencies for running a minimal Cinnamon desktop environment.

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Cinnamon desktop environment.

%files
%files minimal
%files devel



%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1:6.4-2.mga10
+ Revision: 2251862
- Mageia 10 Mass Rebuild

* Tue Apr 22 2025 joequant <joequant> 1:6.4-1.mga10
+ Revision: 2177974
- update to 6.4

* Sun Sep 03 2023 joequant <joequant> 1:5.8-1.mga10
+ Revision: 1983772
- update to 5.8

* Thu May 04 2023 daviddavid <daviddavid> 1:5.6-4.mga9
+ Revision: 1955867
- add bluez and blueman as recommended packages in minimal
  for bluetooth integration (mga#31857)

* Sat Dec 03 2022 papoteur <papoteur> 1:5.6-3.mga9
+ Revision: 1916087
- fix requiring according to nemo version in devel package

* Sun Nov 20 2022 joequant <joequant> 1:5.6-2.mga9
+ Revision: 1909132
- fix nemo version

* Sat Nov 19 2022 joequant <joequant> 1:5.6-1.mga9
+ Revision: 1909091
- update to 5.6

* Thu Sep 29 2022 tv <tv> 1:5.4-2.mga9
+ Revision: 1893263
- Prefer gnome-console over gnome-terminal

* Sun Jul 03 2022 joequant <joequant> 1:5.4-1.mga9
+ Revision: 1867163
- update to 5.4

* Mon Mar 21 2022 umeabot <umeabot> 1:5.2-2.mga9
+ Revision: 1815770
- Mageia 9 Mass Rebuild

* Sat Nov 27 2021 joequant <joequant> 1:5.2-1.mga9
+ Revision: 1759604
- update to 5.2

* Wed Jun 09 2021 joequant <joequant> 1:5.0-1.mga9
+ Revision: 1730187
- update to 5.0.0

* Fri Dec 11 2020 joequant <joequant> 1:4.8-2.mga8
+ Revision: 1655321
- add nemo-extensions

* Tue Dec 08 2020 joequant <joequant> 1:4.8-1.mga8
+ Revision: 1654668
- update to 4.8

* Sun Jun 28 2020 joequant <joequant> 1:4.6-1.mga8
+ Revision: 1599837
- update to 4.6

* Tue Feb 18 2020 umeabot <umeabot> 1:4.4-2.mga8
+ Revision: 1539331
- Mageia 8 Mass Rebuild

* Sat Dec 07 2019 joequant <joequant> 1:4.4-1.mga8
+ Revision: 1464976
- update to 4.4

* Mon Feb 25 2019 wally <wally> 1:4.0-4.mga8
+ Revision: 1370109
- recommend cinnamon-applet-blueberry instead of blueberry

* Sun Jan 13 2019 joequant <joequant> 1:4.0-3.mga7
+ Revision: 1356062
- change dm to lxdm and add pulseaudio-module-x11

* Fri Dec 14 2018 kekepower <kekepower> 1:4.0-2.mga7
+ Revision: 1341169
- Requires cinnamon-screensaver (Revert r1328344) (mga#23899)

* Mon Nov 05 2018 joequant <joequant> 1:4.0-1.mga7
+ Revision: 1328586
- upgrade to 4.0.0

* Sun Nov 04 2018 joequant <joequant> 1:3.8-6.mga7
+ Revision: 1328344
- switch cinnamon-screensaver to recommends

* Sat Oct 27 2018 joequant <joequant> 1:3.8-5.mga7
+ Revision: 1326243
- move back to blueberry because blueman requires root auth

* Wed Oct 24 2018 joequant <joequant> 1:3.8-4.mga7
+ Revision: 1325117
- blueberry -> blueman

* Fri Sep 21 2018 umeabot <umeabot> 1:3.8-3.mga7
+ Revision: 1291738
- Mageia 7 Mass Rebuild

* Thu Sep 06 2018 daviddavid <daviddavid> 1:3.8-2.mga7
+ Revision: 1257600
- fix dependencies

* Sun Apr 29 2018 joequant <joequant> 1:3.8-1.mga7
+ Revision: 1223534
- upgrade to 3.8

* Sun Mar 04 2018 joequant <joequant> 1:3.6-4.mga7
+ Revision: 1206497
- remove tablet

* Fri Mar 02 2018 joequant <joequant> 1:3.6-3.mga7
+ Revision: 1206041
- add cinnamon tablet environment

* Thu Mar 01 2018 joequant <joequant> 1:3.6-2.mga7
+ Revision: 1205963
- add iio-sensor-proxy for auto-rotate

* Wed Nov 01 2017 joequant <joequant> 1:3.6-1.mga7
+ Revision: 1175431
- update to 3.6

* Mon Jul 24 2017 joequant <joequant> 1:3.4-1.mga7
+ Revision: 1129819
- update to 3.4

* Wed Feb 15 2017 joequant <joequant> 1:3.2-2.mga6
+ Revision: 1086219
- recommend lightdm

* Mon Jan 23 2017 joequant <joequant> 1:3.2-1.mga6
+ Revision: 1083154
- upgrade to 3.2

* Sun Aug 14 2016 joequant <joequant> 1:3.0-8.mga6
+ Revision: 1046411
- add nemo extensions and unsupported cinnamon screensavers

* Wed Jul 06 2016 joequant <joequant> 1:3.0-7.mga6
+ Revision: 1039153
- move to task-xapps

* Sat Jun 25 2016 joequant <joequant> 1:3.0-6.mga6
+ Revision: 1037654
- change requires to recommends and add x-apps

* Mon Jun 13 2016 joequant <joequant> 1:3.0-5.mga6
+ Revision: 1021309
- switch from vera to dejavu

* Mon Jun 13 2016 joequant <joequant> 1:3.0-4.mga6
+ Revision: 1021305
- recommends vera font for better monospace

* Sat May 21 2016 joequant <joequant> 1:3.0-3.mga6
+ Revision: 1017296
- add gtk2 and dm recommends

* Tue May 17 2016 joequant <joequant> 1:3.0-2.mga6
+ Revision: 1016245
- bump version
- add mageia themes and gnome-terminal for minimal cinnamon setup

* Tue May 03 2016 joequant <joequant> 1:3.0-1.mga6
+ Revision: 1008846
- upgrade to 3.0

* Thu Dec 17 2015 joequant <joequant> 1:2.8-1.mga6
+ Revision: 911432
- upgrade to 2.8

* Fri Jun 26 2015 joequant <joequant> 1:2.6-1.mga6
+ Revision: 844299
- upgrade to 2.6

* Thu Nov 27 2014 joequant <joequant> 1:2.4-2.mga5
+ Revision: 799550
- freeze push

* Sun Nov 23 2014 joequant <joequant> 1:2.4-1.mga5
+ Revision: 798439
- update to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.0-7.mga5
+ Revision: 747589
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.0-6.mga5
+ Revision: 689698
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Feb 11 2014 joequant <joequant> 1:2.0.0-5.mga5
+ Revision: 589193
- add pulseaudio as suggests - need for audio to work at all

* Wed Jan 08 2014 joequant <joequant> 1:2.0.0-4.mga4
+ Revision: 565530
- move themes to meta-task
- fix 12223 - mageiawelcome and drakconf suggested
  suggest mate and gnome themes
  move nemo extensions to requires

* Sun Dec 22 2013 joequant <joequant> 1:2.0.0-3.mga4
+ Revision: 559966
- add nemo

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.0-2.mga4
+ Revision: 533635
- Mageia 4 Mass Rebuild
+ joequant <joequant>
- add devel and nemo extensions

* Mon Sep 02 2013 joequant <joequant> 1:1.9.3-0.2.mga4
+ Revision: 474334
- change group and add new modules

* Fri Aug 23 2013 joequant <joequant> 1:1.9.3-0.1.mga4
+ Revision: 470205
- add new cinnamon apps

* Thu Jul 25 2013 joequant <joequant> 1:1.9.1-1.mga4
+ Revision: 458086
- update to 1.9.1
- imported package task-cinnamon

